# arm_mfcc_instance_f16 Struct Reference

CMSIS-DSP: arm_mfcc_instance_f16 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_mfcc_instance_f16 Struct Reference

Instance structure for the Floating-point MFCC function.

## Data Fields

const float16_t * | dctCoefs
const float16_t * | filterCoefs
const float16_t * | windowCoefs
const uint32_t * | filterPos
const uint32_t * | filterLengths
uint32_t | fftLen
uint32_t | nbMelFilters
uint32_t | nbDctOutputs
arm_rfft_fast_instance_f16 | rfft

## Field Documentation

const float16_t* dctCoefs

Internal DCT coefficients

uint32_t fftLen

FFT length

const float16_t* filterCoefs

Internal Mel filter coefficients

const uint32_t* filterLengths

Internal Mel filter lengths

const uint32_t* filterPos

Internal Mel filter positions in spectrum

uint32_t nbDctOutputs

Number of DCT outputs

uint32_t nbMelFilters

Number of Mel filters

arm_rfft_fast_instance_f16 rfft

const float16_t* windowCoefs

Windowing coefficients